Bug 869425 - Updated my system today with new kernel 3.6.2. System will not boot. get messages about systemd services failing to start, then goes into command prompt login. had to back out to kernel 3.4.11
Updated my system today with new kernel 3.6.2. System will not boot. get mess...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-23 17:06 EDT by Mike Stefanelli
Modified: 2013-01-16 12:48 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-16 12:48:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Stefanelli 2012-10-23 17:06:29 EDT
Description of problem:
yum update to new kernel 3.6.2

Version-Release number of selected component (if applicable):


How reproducible:

solid
Steps to Reproduce:
1. yum update ( kernel 3.6.3)
2. reboot system
3. Gte systemd services fail message
  
Actual results:


Expected results:


Additional info:
Comment 1 Justin M. Forbes 2012-11-14 15:57:39 EST
Does this happen after a reinstall, or after updating to a newer kernel? Sounds like a dracut issue.
Comment 2 Mike Stefanelli 2012-11-19 17:58:22 EST
this happen after yum update to kernel 3.6.x 
here is the boot log after the update. 
Welcome to Fedora 
Starting udev: udevd[471]: BUS= will be removed in a future udev version, please use SUBSYSTEM= to match the event device, or SUBSYSTEMS= to match a parent device, in /etc/udev/rules.d/10-usrp.rules:3

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/10-usrp.rules:3

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:24

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:29

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:31

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:33

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:35

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:37

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:39

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:41

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:43                                                                   
                                                                                                                              
udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:45                                                                   
                                                                                                                              
udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:47

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:49

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:51

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:53

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:55

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:57

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:59

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:61

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:62

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:64

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:66

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:68

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:70

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:72

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:74

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:76

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:78

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:80

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:82

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:84

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:86

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:88

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:90

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:92

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:94

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:96

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:98

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:100

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:102

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:104

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:106

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:108

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:110

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:112

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:114

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:116

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:118

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:120

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:122

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:124

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:126

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:128

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:130

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:132

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:135

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:137

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/55-hpmud.rules:139

udevd[471]: BUS= will be removed in a future udev version, please use SUBSYSTEM= to match the event device, or SUBSYSTEMS= to match a parent device, in /etc/udev/rules.d/85-pcscd_egate.rules:3

udevd[471]: SYSFS{}= will be removed in a future udev version, please use ATTR{}= to match the event device, or ATTRS{}= to match a parent device, in /etc/udev/rules.d/85-pcscd_egate.rules:3

udevd[471]: BUS= will be removed in a future udev version, please use SUBSYSTEM= to match the event device, or SUBSYSTEMS= to match a parent device, in /etc/udev/rules.d/85-pcscd_egate.rules:5

                                                           [  OK  ]
Setting hostname wiggle.sci.gsfc.nasa.gov:                 [  OK  ]
Setting up Logical Volume Management:   2 logical volume(s) in volume group "VolGroup00" now active
                                                           [  OK  ]
Checking filesystems
F10-i686-Live: clean, 559616/30171136 files, 48324527/120684544 blocks
/boot: clean, 301/50200 files, 121399/201260 blocks
                                                           [  OK  ]
Remounting root filesystem in read-write mode:             [  OK  ]
Mounting local filesystems:                                [  OK  ]
Enabling local filesystem quotas:                          [  OK  ]
Enabling /etc/fstab swaps:                                 [  OK  ]
Entering non-interactive startup
Starting monitoring for VG VolGroup00:   2 logical volume(s) in volume group "VolGroup00" monitored
                                                           [  OK  ]
Running DKMS auto installation service for kernel 2.6.35.14-103.fc14.i686.PAE
No akmod packages found, nothing to do.                    [  OK  ]
iptables: Applying firewall rules:                         [  OK  ]
iptables: Loading additional modules: nf_conntrack_netbios_[  OK  ]
Starting capi4linux: udevd-work[1348]: kernel-provided name 'capi' and NAME= 'capi20' disagree, please use SYMLINK+= or change the kernel to provide the proper name

                                                           [  OK  ]
Bringing up loopback interface:                            [  OK  ]
Bringing up interface eth0:                                [  OK  ]
Bringing up interface eth1:                                [  OK  ]
Starting auditd:                                           [  OK  ]
Starting portreserve:                                      [  OK  ]
Starting system logger:                                    [  OK  ]
Starting irqbalance:                                       [  OK  ]
Starting rpcbind:                                          [  OK  ]
Starting RPC idmapd:                                       [  OK  ]
Starting VirtualBox kernel modules                         [  OK  ]
Starting system message bus:                               [  OK  ]
Starting Avahi daemon...                                   [  OK  ]
Initializing OpenCT smart card terminals:                  [  OK  ]

Starting cups:                                             [  OK  ]
Mounting other filesystems:                                [  OK  ]
Starting HAL daemon:                                       [  OK  ]
Starting lm_sensors: loading module it87                   [  OK  ]
Retrigger failed udev events                               [  OK  ]
Starting PC/SC smart card daemon (pcscd):                  [  OK  ]
Registering binary handler for qemu applications
Enabling Bluetooth devices:
Starting sshd:                                             [  OK  ]
Starting xinetd:                                           [  OK  ]
Heartbeat not configured: /etc/ha.d/ha.cf not found.
 Heartbeat failure [rc=1]. Failed.
Starting abrt daemon:                                      [  OK  ]
Starting ksm:                                              [  OK  ]
Starting console mouse services:                           [  OK  ]
Starting ksmtuned:                                         [  OK  ]
Starting crond:                                            [  OK  ]
Enabling monthly Smolt checkin:                            [  OK  ]
Starting NMB services:                                     [  OK  ]
Starting SMB services:                                     [  OK  ]
Starting atd:                                              [  OK  ]
Starting jexec servicesStarting yum-updatesd:              [  OK  ]
Starting ActivClient Events Service:                       [  OK  ]
Starting ActivClient Cache Daemon:                         [  OK  ]
[mjstefan@wiggle ~]$
Comment 3 Josh Boyer 2012-11-28 09:58:45 EST
So what doesn't boot exactly?  It seems the system came to a prompt in your latest comment.

Also, the udev errors seem to be a result of you having some rules files that a newer udev doesn't like.  You also seem to have vbox installed, and akmods checking for an F14 2.6.35 kernel, so I'm at a loss as to what state your system is in.

None of this looks kernel related at any rate.  You might see it with a newer update because the contents of the initramfs for that kernel are newer than your older kernel's initramfs.
Comment 4 Mike Stefanelli 2012-11-28 13:30:40 EST
(In reply to comment #3)
> So what doesn't boot exactly?  It seems the system came to a prompt in your
> latest comment.
> 
> Also, the udev errors seem to be a result of you having some rules files
> that a newer udev doesn't like.  You also seem to have vbox installed, and
> akmods checking for an F14 2.6.35 kernel, so I'm at a loss as to what state
> your system is in.
> 
> None of this looks kernel related at any rate.  You might see it with a
> newer update because the contents of the initramfs for that kernel are newer
> than your older kernel's initramfs.

Sorry for the confusion. I should have said the X sever won't start. You are correct in that the system will boot to a command prompt. I am still new to Linux so I not quite sure how the udev rules got there, I did not do it intensionaly. I do have virtual box installed. But I do not know why akmods is checking for an F14 2.6 kernel. I did start out with Fedora 14 then upgraded to 16. The system boots up fine and starts the X server with kernel 3.4.11-1, but if I try to upgrage to anything above that, is when I see the problems. While searching out on the web for this issue I found someone who said the following command might help # dracut -f -v /boot/initramfs-$(uname -r).img $(uname -r).
 Thanks for your help with this.
Comment 5 Fedora End Of Life 2013-01-16 09:34:10 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Mike Stefanelli 2013-01-16 12:48:44 EST
I was able to fix this problem. Turned out to be caused by entries in fstab.
after fixing this issue. I have upgraded to Fedora17. Thanks for the help.

Note You need to log in before you can comment on or make changes to this bug.